Artha API
  1. Card Operations
  • Introduction
  • Authentication
  • KYC/KYB Requirements
  • API Setup Guide
  • Card API Integration Flow
  • Customers
    • Create Customer
      POST
    • List Customers
      GET
    • Get Customer
      GET
    • Update Customer
      PATCH
  • Cards
    • Submit KYC/KYB Applicant
      POST
    • Get Applicant KYC Status
      GET
    • Issue Card
      POST
    • Cards List
      GET
    • Get Card
      GET
    • Get Sensitive Card Details
      GET
  • Card Operations
    • Activate Card
      POST
    • Freeze Card
      POST
    • Unfreeze Card
      POST
    • Cancel Card
      POST
    • Replace Card
      POST
    • Set / Reset Card PIN
      POST
    • Get Card Limits
      GET
    • Update Card Limits
      POST
  • Funding
    • Top Up Card
      POST
    • Get Top-Up Status
      GET
    • Get Card Balance
      GET
    • List Top-Up History
      GET
  • Transactions
    • List All Transactions
    • List Card Transactions
    • List Customer Transactions
    • Get Transaction
  • Products
    • List Products
    • Get Product
  • Utilities
    • Upload Documents
  • Webhook's
    • Webhooks
  1. Card Operations

Activate Card

POST
/baseurl/api/v1/cards/{cardId}/activate
Activates a card.
Optional Fields
FieldTypeDescription
activationCodestringActivation code (physical cards only). Nullable.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Card activated successfully.
Body

🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST '/baseurl/api/v1/cards//activate' \
--header 'X-API-Key;' \
--header 'X-Signature;' \
--header 'X-Timestamp;' \
--header 'X-Nonce;' \
--header 'X-Body-Hash;' \
--header 'Content-Type: application/json' \
--data-raw '{}'
Response Response Example
{
    "cardId": "ef0c9071-f1d5-4782-996c-db9b45c47a29",
    "customerId": "49cf2793-9379-4d1b-9904-5b77aaa5693c",
    "productId": "999a47bf-5c73-4a93-9827-0182f075355d",
    "cardType": "Virtual",
    "action": "activate",
    "status": "success",
    "message": "Card activated successfully",
    "taskId": "task_123456789"
}
Modified at 2026-03-31 11:53:55
Previous
Get Sensitive Card Details
Next
Freeze Card
Built with